Skip to main content

Table

View as Markdown

DatabaseTable object​

namestringPublic Preview

Full three-part (catalog, schema, table) name of the table.

database_instance_namestringPublic Preview

Name of the target database instance. This is required when creating database tables in standard catalogs. This is optional when creating database tables in registered catalogs. If this field is specified when creating database tables in registered catalogs, the database instance name MUST match that of the registered catalog (or the request will be rejected).

logical_database_namestringPublic Preview

Target Postgres database object (logical database) name for this table.

When creating a table in a standard catalog, this field is required. In this scenario, specifying this field will allow targeting an arbitrary postgres database.

Registration of database tables via /database/tables is currently only supported in standard catalogs.

Get a Database Table Public Preview​

GET /api/2.0/database/tables/{name}

Get a Database Table.

API scopes: postgres

Parameters​

namestringRequiredpath

Response​

Returns the DatabaseTable object.

Create a Database Table Public Preview​

POST /api/2.0/database/tables

Create a Database Table. Useful for registering pre-existing PG tables in UC. See CreateSyncedDatabaseTable for creating synced tables in PG from a source table in UC.

API scopes: postgres

Request body​

namestringRequired

Full three-part (catalog, schema, table) name of the table.

database_instance_namestring

Name of the target database instance. This is required when creating database tables in standard catalogs. This is optional when creating database tables in registered catalogs. If this field is specified when creating database tables in registered catalogs, the database instance name MUST match that of the registered catalog (or the request will be rejected).

logical_database_namestring

Target Postgres database object (logical database) name for this table.

When creating a table in a standard catalog, this field is required. In this scenario, specifying this field will allow targeting an arbitrary postgres database.

Registration of database tables via /database/tables is currently only supported in standard catalogs.

Response​

Returns the DatabaseTable object.

Delete a Database Table Public Preview​

DELETE /api/2.0/database/tables/{name}

Delete a Database Table.

API scopes: postgres

Parameters​

namestringRequiredpath